> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Hris Activity Events

> Lists an employee's HRIS activity events with actor names, filtered by category and paginated.

Required scope: `people:read`. It also needs `compensation:read`, `identity:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-hris-activity-events
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-hris-activity-events:
    get:
      operationId: getHrisActivityEvents
      summary: Get Hris Activity Events
      x-toku-required-scope: people:read
      description: >-
        Lists an employee's HRIS activity events with actor names, filtered by
        category and paginated.


        Required scope: `people:read`. It also needs `compensation:read`,
        `identity:read`.
      parameters:
        - name: roleInOrgID
          in: query
          required: true
          schema:
            type: string
            format: uuid
        - name: category
          in: query
          required: false
          schema:
            type: string
            enum:
              - COMPENSATION
              - TIME_OFF
              - EXPENSE
              - INVOICE
              - PAYSLIP
              - PERSONAL_INFO
              - EMPLOYMENT
              - ONBOARDING
              - DOCUMENT
              - COMPLIANCE
              - BENEFITS
              - DATA_CONTROL
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 50
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetHrisActivityEventsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetHrisActivityEventsResponse:
      type: object
      properties:
        events:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              eventType:
                type: string
              category:
                type: string
              title:
                type: string
              description:
                type:
                  - string
                  - 'null'
              metadata:
                type: object
                additionalProperties: {}
              occurredAt:
                type: string
              actorName:
                type:
                  - string
                  - 'null'
            required:
              - id
              - eventType
              - category
              - title
              - description
              - metadata
              - occurredAt
              - actorName
        total:
          type: number
      required:
        - events
        - total
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
